---
title: Get a RUM SDK configuration
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > RUM Remote Config
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Get a RUM SDK configuration{% #get-a-rum-sdk-configuration %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                            |
| ----------------- | --------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/remote_config/products/rum/configs/{config_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/remote_config/products/rum/configs/{config_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/remote_config/products/rum/configs/{config_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/remote_config/products/rum/configs/{config_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/remote_config/products/rum/configs/{config_id}  |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/remote_config/products/rum/configs/{config_id} |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/remote_config/products/rum/configs/{config_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/remote_config/products/rum/configs/{config_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/remote_config/products/rum/configs/{config_id} |

### Overview

Retrieve a RUM SDK configuration by its identifier.

### Arguments

#### Path Parameters

| Name                        | Type   | Description                          |
| --------------------------- | ------ | ------------------------------------ |
| config_id [*required*] | string | The ID of the RUM SDK configuration. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a RUM SDK configuration.

| Parent field             | Field                                            | Type      | Description                                                                                                  |
| ------------------------ | ------------------------------------------------ | --------- | ------------------------------------------------------------------------------------------------------------ |
|                          | data [*required*]                           | object    | The RUM SDK configuration data object.                                                                       |
| data                     | attributes [*required*]                     | object    | Attributes of the RUM SDK configuration.                                                                     |
| attributes               | rum [*required*]                            | object    | The RUM SDK settings for a configuration.                                                                    |
| rum                      | allowed_tracing_urls                             | [object]  | A list of URL configurations for distributed tracing.                                                        |
| allowed_tracing_urls     | match [*required*]                          | object    | A match option used for URL or origin pattern matching.                                                      |
| match                    | rc_serialized_type [*required*]             | enum      | The type of match pattern, either a literal string or a regex. Allowed enum values: `string,regex`           |
| match                    | value [*required*]                          | string    | The value to match against.                                                                                  |
| allowed_tracing_urls     | propagator_types [*required*]               | [string]  | The list of trace propagator types to use for this URL.                                                      |
| rum                      | allowed_tracking_origins                         | [object]  | A list of origin patterns allowed for cross-origin session tracking.                                         |
| allowed_tracking_origins | rc_serialized_type [*required*]             | enum      | The type of match pattern, either a literal string or a regex. Allowed enum values: `string,regex`           |
| allowed_tracking_origins | value [*required*]                          | string    | The value to match against.                                                                                  |
| rum                      | application_id [*required*]                 | string    | The ID of the RUM application this configuration belongs to.                                                 |
| rum                      | context                                          | [object]  | A list of dynamic option key-value pairs.                                                                    |
| context                  | key [*required*]                            | string    | The key name for this dynamic configuration pair.                                                            |
| context                  | value [*required*]                          | object    | A dynamic configuration option that extracts a value at runtime using a specified strategy.                  |
| value                    | attribute                                        | string    | The element attribute to read. Used when `strategy` is `dom`.                                                |
| value                    | extractor                                        | object    | A serialized regex used as an extractor in dynamic options.                                                  |
| extractor                | rc_serialized_type [*required*]             | enum      | The type identifier for a serialized regex. Always `regex`. Allowed enum values: `regex`                     |
| extractor                | value [*required*]                          | string    | The regex pattern used for extraction.                                                                       |
| value                    | key                                              | string    | The `localStorage` key to read. Required when `strategy` is `localStorage`.                                  |
| value                    | name                                             | string    | The cookie name to read. Required when `strategy` is `cookie`.                                               |
| value                    | path                                             | string    | The JavaScript path used to extract the value. Required when `strategy` is `js`.                             |
| value                    | rc_serialized_type [*required*]             | enum      | The type identifier for a dynamic option. Always `dynamic`. Allowed enum values: `dynamic`                   |
| value                    | selector                                         | string    | The CSS selector to read from the page. Required when `strategy` is `dom`.                                   |
| value                    | strategy [*required*]                       | enum      | The strategy used to extract the dynamic value. Allowed enum values: `js,cookie,dom,localStorage`            |
| rum                      | default_privacy_level [*required*]          | string    | The default privacy masking level applied to all RUM data.                                                   |
| rum                      | enable_privacy_for_action_name [*required*] | boolean   | Whether to mask user-interaction action names for privacy.                                                   |
| rum                      | env                                              | string    | The environment tag for the RUM application.                                                                 |
| rum                      | service                                          | string    | The service name tag for the RUM application.                                                                |
| rum                      | session_replay_sample_rate [*required*]     | int64     | The percentage of collected sessions for which a replay is captured (0–100).                                 |
| rum                      | session_sample_rate [*required*]            | int64     | The percentage of user sessions to collect (0–100).                                                          |
| rum                      | trace_sample_rate                                | int64     | The percentage of requests to forward as APM traces (0–100).                                                 |
| rum                      | track_session_across_subdomains                  | boolean   | Whether to share a session across subdomains of the same site.                                               |
| rum                      | user                                             | [object]  | A list of dynamic option key-value pairs.                                                                    |
| user                     | key [*required*]                            | string    | The key name for this dynamic configuration pair.                                                            |
| user                     | value [*required*]                          | object    | A dynamic configuration option that extracts a value at runtime using a specified strategy.                  |
| value                    | attribute                                        | string    | The element attribute to read. Used when `strategy` is `dom`.                                                |
| value                    | extractor                                        | object    | A serialized regex used as an extractor in dynamic options.                                                  |
| extractor                | rc_serialized_type [*required*]             | enum      | The type identifier for a serialized regex. Always `regex`. Allowed enum values: `regex`                     |
| extractor                | value [*required*]                          | string    | The regex pattern used for extraction.                                                                       |
| value                    | key                                              | string    | The `localStorage` key to read. Required when `strategy` is `localStorage`.                                  |
| value                    | name                                             | string    | The cookie name to read. Required when `strategy` is `cookie`.                                               |
| value                    | path                                             | string    | The JavaScript path used to extract the value. Required when `strategy` is `js`.                             |
| value                    | rc_serialized_type [*required*]             | enum      | The type identifier for a dynamic option. Always `dynamic`. Allowed enum values: `dynamic`                   |
| value                    | selector                                         | string    | The CSS selector to read from the page. Required when `strategy` is `dom`.                                   |
| value                    | strategy [*required*]                       | enum      | The strategy used to extract the dynamic value. Allowed enum values: `js,cookie,dom,localStorage`            |
| rum                      | version                                          | object    | A dynamic configuration option that extracts a value at runtime using a specified strategy.                  |
| version                  | attribute                                        | string    | The element attribute to read. Used when `strategy` is `dom`.                                                |
| version                  | extractor                                        | object    | A serialized regex used as an extractor in dynamic options.                                                  |
| extractor                | rc_serialized_type [*required*]             | enum      | The type identifier for a serialized regex. Always `regex`. Allowed enum values: `regex`                     |
| extractor                | value [*required*]                          | string    | The regex pattern used for extraction.                                                                       |
| version                  | key                                              | string    | The `localStorage` key to read. Required when `strategy` is `localStorage`.                                  |
| version                  | name                                             | string    | The cookie name to read. Required when `strategy` is `cookie`.                                               |
| version                  | path                                             | string    | The JavaScript path used to extract the value. Required when `strategy` is `js`.                             |
| version                  | rc_serialized_type [*required*]             | enum      | The type identifier for a dynamic option. Always `dynamic`. Allowed enum values: `dynamic`                   |
| version                  | selector                                         | string    | The CSS selector to read from the page. Required when `strategy` is `dom`.                                   |
| version                  | strategy [*required*]                       | enum      | The strategy used to extract the dynamic value. Allowed enum values: `js,cookie,dom,localStorage`            |
| data                     | id [*required*]                             | string    | The unique identifier of the RUM SDK configuration.                                                          |
| data                     | meta                                             | object    | Metadata associated with a RUM SDK configuration.                                                            |
| meta                     | updated_at [*required*]                     | date-time | The timestamp of the last update to this configuration.                                                      |
| meta                     | updated_by [*required*]                     | string    | The handle of the user who last updated this configuration.                                                  |
| data                     | type [*required*]                           | enum      | The type of the resource. The value should always be `rum_sdk_config`. Allowed enum values: `rum_sdk_config` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "rum": {
        "allowed_tracing_urls": [
          {
            "match": {
              "rc_serialized_type": "string",
              "value": "https://app.datadoghq.com"
            },
            "propagator_types": [
              "datadog",
              "tracecontext"
            ]
          }
        ],
        "allowed_tracking_origins": [
          {
            "rc_serialized_type": "string",
            "value": "https://app.datadoghq.com"
          }
        ],
        "application_id": "f80e917c-3cd0-4048-ade7-1c4c207baa99",
        "context": [
          {
            "key": "id",
            "value": {
              "attribute": "data-version",
              "extractor": {
                "rc_serialized_type": "regex",
                "value": "^https://app-.*.datadoghq.com"
              },
              "key": "app.version",
              "name": "app_version",
              "path": "application.version",
              "rc_serialized_type": "dynamic",
              "selector": "#app-version",
              "strategy": "js"
            }
          }
        ],
        "default_privacy_level": "mask-user-input",
        "enable_privacy_for_action_name": false,
        "env": "production",
        "service": "my-service",
        "session_replay_sample_rate": 10,
        "session_sample_rate": 50,
        "trace_sample_rate": 100,
        "track_session_across_subdomains": false,
        "user": [
          {
            "key": "id",
            "value": {
              "attribute": "data-version",
              "extractor": {
                "rc_serialized_type": "regex",
                "value": "^https://app-.*.datadoghq.com"
              },
              "key": "app.version",
              "name": "app_version",
              "path": "application.version",
              "rc_serialized_type": "dynamic",
              "selector": "#app-version",
              "strategy": "js"
            }
          }
        ],
        "version": {
          "attribute": "data-version",
          "extractor": {
            "rc_serialized_type": "regex",
            "value": "^https://app-.*.datadoghq.com"
          },
          "key": "app.version",
          "name": "app_version",
          "path": "application.version",
          "rc_serialized_type": "dynamic",
          "selector": "#app-version",
          "strategy": "js"
        }
      }
    },
    "id": "abc12345-1234-5678-abcd-ef1234567890",
    "meta": {
      "updated_at": "2024-01-15T09:30:00.000Z",
      "updated_by": "user@datadoghq.com"
    },
    "type": "rum_sdk_config"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Not Authorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export config_id="abc12345-1234-5678-abcd-ef1234567890" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/remote_config/products/rum/configs/${config_id}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Get a RUM SDK configuration returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.rum_remote_config_api import RUMRemoteConfigApi

configuration = Configuration()
configuration.unstable_operations["get_rum_sdk_config"] = True
with ApiClient(configuration) as api_client:
    api_instance = RUMRemoteConfigApi(api_client)
    response = api_instance.get_rum_sdk_config(
        config_id="config_id",
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Get a RUM SDK configuration returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.get_rum_sdk_config".to_sym] = true
end
api_instance = DatadogAPIClient::V2::RUMRemoteConfigAPI.new
p api_instance.get_rum_sdk_config("config_id")
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Get a RUM SDK configuration returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.GetRumSdkConfig", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewRUMRemoteConfigApi(apiClient)
	resp, r, err := api.GetRumSdkConfig(ctx, "config_id")

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `RUMRemoteConfigApi.GetRumSdkConfig`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `RUMRemoteConfigApi.GetRumSdkConfig`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Get a RUM SDK configuration returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.RumRemoteConfigApi;
import com.datadog.api.client.v2.model.RumSdkConfigResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.getRumSdkConfig", true);
    RumRemoteConfigApi apiInstance = new RumRemoteConfigApi(defaultClient);

    try {
      RumSdkConfigResponse result =
          apiInstance.getRumSdkConfig("abc12345-1234-5678-abcd-ef1234567890");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling RumRemoteConfigApi#getRumSdkConfig");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Get a RUM SDK configuration returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_rum_remote_config::RUMRemoteConfigAPI;

#[tokio::main]
async fn main() {
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.GetRumSdkConfig", true);
    let api = RUMRemoteConfigAPI::with_config(configuration);
    let resp = api.get_rum_sdk_config("config_id".to_string()).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Get a RUM SDK configuration returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.getRumSdkConfig"] = true;
const apiInstance = new v2.RUMRemoteConfigApi(configuration);

const params: v2.RUMRemoteConfigApiGetRumSdkConfigRequest = {
  configId: "config_id",
};

apiInstance
  .getRumSdkConfig(params)
  .then((data: v2.RumSdkConfigResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
